XScreenSaver(1)

NAME
fiberlamp - Fiber Optic Lamp

SYNOPSIS
fiberlamp [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-cycles number] [-delay number] [-ncolors number]

DESCRIPTION
Displays a Fiber Optic Lamp.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Number of Fibers. 10 - 500. Default: 500.

-cycles number
    Number of cycles before the lamp is knocked sideways. 100 - 10000. Default: 10000.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-ncolors number
    Number of Colors. Default: 64.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Tim Auckland. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Tim Auckland.